[arch-commits] Commit in alpine/repos (5 files)

Eric Bélanger eric at archlinux.org
Sat Sep 19 01:23:41 UTC 2009


    Date: Friday, September 18, 2009 @ 21:23:41
  Author: eric
Revision: 52370

Merged revisions 52363,52369 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/alpine/trunk

........
  r52363 | eric | 2009-09-18 20:56:27 -0400 (Fri, 18 Sep 2009) | 2 lines
  
  upgpkg: alpine 2.00-5
      Updated patchset to level 52, Security fix
........
  r52369 | eric | 2009-09-18 21:23:23 -0400 (Fri, 18 Sep 2009) | 2 lines
  
  upgpkg: alpine 2.00-6
      libldap-2.4 rebuild
........

Added:
  alpine/repos/testing-x86_64/2.00-lpam.patch
    (from rev 52369, alpine/trunk/2.00-lpam.patch)
  alpine/repos/testing-x86_64/CVE-2008-5514.patch
    (from rev 52369, alpine/trunk/CVE-2008-5514.patch)
Modified:
  alpine/repos/testing-x86_64/	(properties)
  alpine/repos/testing-x86_64/ChangeLog
  alpine/repos/testing-x86_64/PKGBUILD

---------------------+
 2.00-lpam.patch     |   13 +++++++++++++
 CVE-2008-5514.patch |   20 ++++++++++++++++++++
 ChangeLog           |   13 ++++++++++++-
 PKGBUILD            |   29 ++++++++++++++---------------
 4 files changed, 59 insertions(+), 16 deletions(-)


Property changes on: alpine/repos/testing-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /alpine/trunk:1-52233
   + /alpine/trunk:1-52369

Copied: alpine/repos/testing-x86_64/2.00-lpam.patch (from rev 52369, alpine/trunk/2.00-lpam.patch)
===================================================================
--- testing-x86_64/2.00-lpam.patch	                        (rev 0)
+++ testing-x86_64/2.00-lpam.patch	2009-09-19 01:23:41 UTC (rev 52370)
@@ -0,0 +1,13 @@
+--- alpine-2.00.orig/alpine/Makefile.in
++++ alpine-2.00/alpine/Makefile.in
+@@ -169,7 +169,7 @@
+ LIBICONV = @LIBICONV@
+ LIBINTL = @LIBINTL@
+ LIBOBJS = @LIBOBJS@
+-LIBS = @LIBS@
++LIBS = @LIBS@ -lpam
+ LIBTOOL = @LIBTOOL@
+ LN = @LN@
+ LN_S = @LN_S@
+ LTLIBICONV = @LTLIBICONV@
+ LTLIBINTL = @LTLIBINTL@

Copied: alpine/repos/testing-x86_64/CVE-2008-5514.patch (from rev 52369, alpine/trunk/CVE-2008-5514.patch)
===================================================================
--- testing-x86_64/CVE-2008-5514.patch	                        (rev 0)
+++ testing-x86_64/CVE-2008-5514.patch	2009-09-19 01:23:41 UTC (rev 52370)
@@ -0,0 +1,20 @@
+--- alpine-2.00/imap/src/c-client/rfc822.c
++++ alpine-2.00/imap/src/c-client/rfc822.c
+@@ -1351,6 +1351,7 @@
+ 
+ static long rfc822_output_char (RFC822BUFFER *buf,int c)
+ {
++  if ((buf->cur == buf->end) && !rfc822_output_flush (buf)) return NIL;
+   *buf->cur++ = c;		/* add character, soutr buffer if full */
+   return (buf->cur == buf->end) ? rfc822_output_flush (buf) : LONGT;
+ }
+@@ -1374,7 +1375,8 @@
+       len -= i;
+     }
+ 				/* soutr buffer now if full */
+-    if (len && !rfc822_output_flush (buf)) return NIL;
++    if ((len || (buf->cur == buf->end)) && !rfc822_output_flush (buf))
++      return NIL;
+   }
+   return LONGT;
+ }

Modified: testing-x86_64/ChangeLog
===================================================================
--- testing-x86_64/ChangeLog	2009-09-19 01:23:23 UTC (rev 52369)
+++ testing-x86_64/ChangeLog	2009-09-19 01:23:41 UTC (rev 52370)
@@ -1,3 +1,14 @@
+2009-09-18  Eric Belanger  <eric at archlinux.org>
+
+	* alpine 2.00-6
+	* libldap-2.4 rebuild
+
+2009-09-18  Eric Belanger  <eric at archlinux.org>
+
+	* alpine 2.00-5
+	* Updated patchset to level 52
+	* Security fix
+
 2009-09-17  Allan McRae  <allan at archlinux.org>
 
 	* alpine 2.00-4
@@ -6,7 +17,7 @@
 2009-02-07  Eric Belanger  <eric at archlinux.org>
 
 	* alpine 2.00-3
-	* Updated patchset
+	* Updated patchset to level 20
 
 2008-12-05  Eric Belanger  <eric at archlinux.org>
 

Modified: testing-x86_64/PKGBUILD
===================================================================
--- testing-x86_64/PKGBUILD	2009-09-19 01:23:23 UTC (rev 52369)
+++ testing-x86_64/PKGBUILD	2009-09-19 01:23:41 UTC (rev 52370)
@@ -4,35 +4,34 @@
 
 pkgname=alpine
 pkgver=2.00
-pkgrel=4
-_patchlevel=20
+pkgrel=6
+_patchlevel=52
 pkgdesc="The Apache-licensed PINE (a tool for reading, sending, and managing electronic messages)"
 arch=('i686' 'x86_64')
 url="http://www.washington.edu/alpine/"
 license=('APACHE')
-depends=('libldap' 'heimdal>=1.2.1' 'gettext')
+depends=('libldap>=2.4.18' 'heimdal>=1.2.1' 'gettext')
 optdepends=('aspell: for spell-checking support')
 provides=('pine')
 conflicts=('pine')
 replaces=('pine')
 options=('!makeflags')
-# patch from http://staff.washington.edu/chappa/alpine/ :
-# http://staff.washington.edu/chappa/alpine/patches/alpine-2.00/all.patch.gz
 source=(ftp://ftp.cac.washington.edu/${pkgname}/${pkgname}.tar.bz2 \
-	ftp://ftp.archlinux.org/other/$pkgname/all-${_patchlevel}.patch.gz)
-md5sums=('84e44cbf71ed674800a5d57eed9c1c52' '5952d830d64d321040b9a3c0a0e74134')
-sha1sums=('dcbd3c5419954f484ccf706feaba31ce48cdebc4' '3bc0006a5ff2bf5a67d2fc0ed390d653f5478a9b')
+        http://staff.washington.edu/chappa/alpine/patches/alpine-${pkgver}/all_${_patchlevel}.patch.gz \
+        2.00-lpam.patch CVE-2008-5514.patch)
+md5sums=('84e44cbf71ed674800a5d57eed9c1c52' '33d9fa000f896fce23cc58b56068428f'\
+         'cd3911c16fc6a072e853c0ccfc35857c' '1b52a54a656979116c09fb1d948a4325')
+sha1sums=('dcbd3c5419954f484ccf706feaba31ce48cdebc4' '1d952e652e8ccf11867af12fe6de70180e58acb1'\
+         '1b39525f91ebd5a9de5a1e04f5554f6fa5f58ae3' 'bc61d76a237ff42b00b3f60f2e6fc5c45e261dbb')
 
 build() {
-  cd ${srcdir}/${pkgname}-${pkgver}
-  patch -p1 < ../all-${_patchlevel}.patch || return 1
-
-  # -Wl,--as-needed does not work
-  export LDFLAGS=""
-
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  patch -p1 < ../all_${_patchlevel}.patch || return 1
+  patch -p1 < ../2.00-lpam.patch || return 1
+  patch -p1 < ../CVE-2008-5514.patch || return 1
   ./configure --prefix=/usr --without-passfile --without-tcl \
     --disable-shared --with-system-pinerc=/etc/alpine.d/pine.conf \
     --with-system-fixed-pinerc=/etc/alpine.d/pine.conf.fixed || return 1
   make || return 1
-  make DESTDIR=${pkgdir} install || return 1
+  make DESTDIR="${pkgdir}" install || return 1
 }




More information about the arch-commits mailing list